curl --request GET \
--url https://api.syntage.com/reports \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/reports"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/InsightReport",
"@id": "/reports",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/reports/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InsightReport",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"name": "Credit review",
"builtIn": false,
"organizational": false,
"insights": [
{
"name": "sales-revenue",
"type": "insight",
"insight": "sales-revenue",
"visible": true,
"children": "<array>",
"builtIn": true
}
],
"createdBy": {
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}List all reports
List the reports available to the authenticated user: built-in reports, the user’s personal reports, and organizational reports.
Insight entries whose feature flags are not enabled for your organization are omitted from the insights layout.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by resource creation date (less than or equal <=)
Filter by resource creation date (less than <)
Filter by resource creation date (greater than or equal >=)
Filter by resource creation date (greater than >)
Order by resource creation date
asc, desc "asc"
Collection page number
Number of items per page
1 <= x <= 1000Response
Report collection response
Show child attributes
Show child attributes
Total number of items found
x >= 01
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?